page_title: Getting Docker
page_description: Getting Docker and installation tutorials
page_keywords: docker, introduction, documentation, about, technology, understanding, Dockerfile

# Getting Docker

*How to install Docker?*

## Introductions

Once you are comfortable with your level of knowledge of Docker, and
feel like actually trying the product, you can download and start using
it by following the links listed below. There, you will find
installation instructions, specifically tailored for your platform of choice.

## Installation Instructions

### Linux (Native)

 - **Arch Linux:**  
 [Installation on Arch Linux](../installation/archlinux.md)
 - **Fedora:**  
 [Installation on Fedora](../installation/fedora.md)
 - **FrugalWare:**  
 [Installation on FrugalWare](../installation/frugalware.md)
 - **Gentoo:**  
 [Installation on Gentoo](../installation/gentoolinux.md)
 - **Red Hat Enterprise Linux:**
 [Installation on Red Hat Enterprise Linux](../installation/rhel.md)
 - **Ubuntu:**  
 [Installation on Ubuntu](../installation/ubuntulinux.md)
 - **openSUSE:**  
 [Installation on openSUSE](../installation/openSUSE.md)

### Mac OS X (Using Boot2Docker)

In order to work, Docker makes use of some Linux Kernel features which
are not supported by Mac OS X. To run Docker on OS X we install and run
a lightweight virtual machine and run Docker on that.

 - **Mac OS X :**  
 [Installation on Mac OS X](../installation/mac.md)

### Windows (Using Boot2Docker)

Docker can also run on Windows using a virtual machine. You then run
Linux and Docker inside that virtual machine.

 - **Windows:**  
 [Installation on Windows](../installation/windows.md)

### Infrastructure-as-a-Service

 - **Amazon EC2:**  
 [Installation on Amazon EC2](../installation/amazon.md)
 - **Google Cloud Platform:**  
 [Installation on Google Cloud Platform](../installation/google.md)
 - **Rackspace Cloud:**  
 [Installation on Rackspace Cloud](../installation/rackspace.md)

## Where to go from here

### Understanding Docker

Visit [Understanding Docker](understanding-docker.md) in our Getting Started manual.

### Learn about parts of Docker and the underlying technology

Visit [Understanding the Technology](technology.md) in our Getting Started manual.

### Get practical and learn how to use Docker straight away

Visit [Working with Docker](working-with-docker.md) in our Getting Started manual.

### Get the whole story

[https://www.docker.io/the_whole_story/](https://www.docker.io/the_whole_story/)
